PDA

Visualizza la versione completa : Newbie e apt-get su knoppix


Nescio
07-05-2005, 13:16
Salve a tutti!
Ho appena installato knoppix 3.7 sul mio hard-disk selezionando l'installazione stile debian.

Ho scelto una debian based proprio per l'enorme disponibilitÓ di pacchetti .deb e relativi repositories (a quanto si dice).

C'Ŕ un piccolo howto su apt-get? Mi potreste postare qualche buon repository per software come kaffeine, mplayer, kde 3.4, synaptic, xfce 4.2, kopete? Mi postereste il vostro sources.list? Posso usare i repositorier di ubuntu?

Grazie :fagiano:

Nescio
07-05-2005, 14:16
visto che nessuno mi risponde lo faccio da solo

:messner:


ho provato ad aggiungere questi repositories:

deb http://archive.ubuntu.com/ubuntu hoary main restricted
deb-src http://archive.ubuntu.com/ubuntu hoary main restricted
deb http://archive.ubuntu.com/ubuntu hoary universe

ma quando do apt-get update...




Hit http://ftp.de.debian.org ../project/experimental/non-free Release
Get:2 http://archive.ubuntu.com hoary/main Release [93B]
Get:3 http://archive.ubuntu.com hoary/restricted Packages [4109B]
Get:4 http://archive.ubuntu.com hoary/restricted Release [99B]
Get:5 http://archive.ubuntu.com hoary/main Sources [231kB]
Get:6 http://archive.ubuntu.com hoary/main Release [95B]
Get:7 http://archive.ubuntu.com hoary/restricted Sources [1214B]
Get:8 http://archive.ubuntu.com hoary/restricted Release [101B]
Get:9 http://archive.ubuntu.com hoary/universe Packages [2853kB]
Get:10 http://archive.ubuntu.com hoary/universe Release [97B]
Scaricato 3726kB in 27s (137kB/s)
Lettura della lista dei pacchetti in corso... Errore!
E: Dynamic MMap ran out of room
E: Errore nell'analisi di libxinerama-dev (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_hoary_main_binary-i386_Packages
E: La lista dei pacchetti o il file di status non possono essere letti o aperti.





help :messner:

andy caps
07-05-2005, 14:26
in /etc/apt/apt.conf

metti APT::Cache-Limit "67108864";


io non userei le repository dei ubuntu
aspettato qualche utilizzatore di knoppix ti desse qualche dritta
meglio dei server di ubuntu sono senz'altro quelli di debian forse piu compatibili

se vuoi provare metti i miei che uso per debian sid

deb ftp://ftp.nerim.net/debian-marillat/ unstable main
deb ftp://ftp.fr.debian.org/debian/ unstable main non-free contrib
deb-src ftp://ftp.fr.debian.org/debian/ unstable main non-free contrib
deb http://pkg-kde.alioth.debian.org/kde-3.4.0/ ./

dopo avere commentato queli esistenti

tog1
07-05-2005, 14:32
secondo me devi usare solo le responsity debian. Knoppix e' in realta' una sarge per quasi tutti i pacchetti esclusi pochi che vengono cercati su unstable.

Basterebbe un dist-upgrade per aggiornare tutto come comanda.

Se vuoi invece una sid, fatti una bella installazione dalla kanotix che dopo un dist-upgrade e' 100% sid, tra l'altro molto valida.

Io per problemi hw solo su una macchina, ho installato la knoppix, che poi dopo l'aggiornamento e' diventata una sarge con un kernel con l'automount, poi ho ricompilato il kernel customizzandolo, quindi ho una debian.

Cmq. anche su debian.org consigliano in alcuni casi di usare knoppix per l'installazione, sicuramente meglio dell'installer di rh che avevano provato.

Ciao

francofait
07-05-2005, 15:49
Sondo me invece fai meglio a prenderti l'ultima versione knoppix3.8.1 con giÓ incluso kde3.4 e gnome 2.8

Loading